TestColorStringParser (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.stringparsers.TestColorStringParser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap.stringparsers
Class TestColorStringParser

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.martiansoftware.jsap.stringparsers.TestColorStringParser

All Implemented Interfaces:
  junit.framework.Test

    public class TestColorStringParser

extends junit.framework.TestCase

A series of tests for the ColorStringParser

Author:
  Marty Lamb
See Also:
  `ColorStringParser`

Constructor Summary
`TestColorStringParser(String arg0)` Constructor for TestColorStringParser.

Method Summary
`void` | `testByName()` Tests the ability to parse color names as in java.awt.Color fields.
`void` | `testFloatRGB()` Tests the ability to parse tuples of floats representing RGB values.
`void` | `testHexRGB()` Tests the ability to parse hexadecimal strings as RGB values.
`void` | `testIntegerRGB()` Tests the ability to parse tuples of integers representing RGB values.

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestColorStringParser

    public TestColorStringParser(String arg0)

  Constructor for TestColorStringParser.

  Parameters:
    `arg0` - name of this test

Method Detail

### testIntegerRGB

    public void testIntegerRGB()

  Tests the ability to parse tuples of integers representing RGB values.

### testFloatRGB

    public void testFloatRGB()

  Tests the ability to parse tuples of floats representing RGB values.

### testHexRGB

    public void testHexRGB()

  Tests the ability to parse hexadecimal strings as RGB values.

### testByName

    public void testByName()

  Tests the ability to parse color names as in java.awt.Color fields.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap